Skala
Stock level notifications

List all stock level notifications

Fetches a complete list of stock level notification records available in the system.

GET
/api/stock_level_notifications

Fetches a complete list of stock level notification records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

isRead?boolean

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_level_notifications"
[
  {
    "id": 0,
    "stock": {
      "id": 0,
      "unit": {
        "id": 0,
        "name": "string"
      },
      "type": "string"
    },
    "stockVariant": {
      "id": 0,
      "code": "string",
      "name": "string"
    },
    "isRead": true,
    "stockQuantity": {
      "id": 0,
      "amount": "string"
    },
    "optimalBufferStock": "string",
    "reorderPoint": "string",
    "requiredAmount": "string",
    "supplier": {
      "id": 0,
      "name": "string"
    }
  }
]